<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.cecep.talroad.mapper.PcStationBuildingOpsMapper">

    <resultMap type="cn.cecep.talroad.domain.PcStationBuildingOps" id="PcStationBuildingOpsResult">
        <result property="id"    column="id"    />
        <result property="stationBuildingId"    column="station_building_id"    />
        <result property="signInPersonnel"    column="sign_in_personnel"    />
        <result property="signInTime"    column="sign_in_time"    />
        <result property="signInImage"    column="sign_in_image"    />
        <result property="signOutPersonnel"    column="sign_out_personnel"    />
        <result property="signOutTime"    column="sign_out_time"    />
        <result property="signOutImage"    column="sign_out_image"    />
    </resultMap>


    <sql id="selectPcStationBuildingOpsVo">
        select id, station_building_id, sign_in_personnel, sign_in_time, sign_in_image, sign_out_personnel, sign_out_time, sign_out_image from pc_station_building_ops
    </sql>

    <select id="selectPcStationBuildingOpsList" parameterType="cn.cecep.talroad.domain.PcStationBuildingOps" resultMap="PcStationBuildingOpsResult">
        <include refid="selectPcStationBuildingOpsVo"/>
        <where>
            <if test="stationBuildingId != null  and stationBuildingId != ''"> and station_building_id = #{stationBuildingId}</if>
            <if test="signInPersonnel != null  and signInPersonnel != ''"> and sign_in_personnel = #{signInPersonnel}</if>
            <if test="signInTime != null  and signInTime != ''"> and sign_in_time = #{signInTime}</if>
            <if test="signInImage != null  and signInImage != ''"> and sign_in_image = #{signInImage}</if>
            <if test="signOutPersonnel != null  and signOutPersonnel != ''"> and sign_out_personnel = #{signOutPersonnel}</if>
            <if test="signOutTime != null  and signOutTime != ''"> and sign_out_time = #{signOutTime}</if>
            <if test="signOutImage != null  and signOutImage != ''"> and sign_out_image = #{signOutImage}</if>
        </where>
    </select>

</mapper>
